Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class DateTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.ejie.r01f.taglibs.xtags.BaseXTag
                  com.ejie.r01f.taglibs.xtags.BaseXTagWithEvents
                      com.ejie.r01f.taglibs.xtags.DateTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class DateTag
extends BaseXTagWithEvents

Tag calendario

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DateTag()`

Method Summary
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`java.lang.String` | `getCalendarImage()` Devuelve la imagen del calendario
`java.lang.String` | `getDate()` Devuelve la fecha
`java.lang.String` | `getDay()` Devuelve el día del mes
`java.lang.String` | `getIdioma()` Devuelve el idioma del calendario
`java.lang.String` | `getMonth()` Establece el mes del año
`boolean` | `getShowYearNavigator()` Devuelve si se muestra o no el navegador de años en el calendario
`java.lang.String` | `getSize()` Devuelve el tamaño de la caja de texto que contiene la fecha
`java.lang.String` | `getValue()` Devuelve el valor del calendario (la fecha)
`java.lang.String` | `getYear()` Devuelve el año
`void` | `release()` Release any acquired resources.
`void` | `setCalendarImage(java.lang.String x)` Establece la imagen del calendario
`void` | `setDate(java.lang.String x)` Establece la fecha
`void` | `setDay(java.lang.String x)` Establece el día del mes
`void` | `setIdioma(java.lang.String x)` Establece el idioma del calendario
`void` | `setMonth(java.lang.String x)` Establece el mes del año
`void` | `setShowYearNavigator(boolean x)` Establece si se muestra o no el navegador por años en el calendario
`void` | `setSize(java.lang.String x)` Establece el tamaño de la caja de texto que contiene la fecha
`void` | `setValue(java.lang.String x)` Establece el valor del calendario (la fecha)
`void` | `setYear(java.lang.String x)` Establece el año

Methods inherited from class com.ejie.r01f.taglibs.xtags.BaseXTagWithEvents
`getAccesskey, getDisabled, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getTabindex, getTitle, setAccesskey, setDisabled, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setTabindex, setTitle`

Methods inherited from class com.ejie.r01f.taglibs.xtags.BaseXTag
`getCheck, getFullPathName, getGenerateHTML, getGenerateJS, getId, getIsAttribute, getIsCDATA, getName, getXmlElemName, setCheck, setGenerateHTML, setGenerateJS, setId, setIsAttribute, setIsCDATA, setName, setXmlElemName`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### DateTag

    public DateTag()

Method Detail

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseXTagWithEvents`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### getValue

    public java.lang.String getValue()

  Devuelve el valor del calendario (la fecha)

  Returns:
    La fecha (el valor de la caja)

### setValue

    public void setValue(java.lang.String x)

  Establece el valor del calendario (la fecha)

### getDate

    public java.lang.String getDate()

  Devuelve la fecha

  Returns:
    La fecha

### setDate

    public void setDate(java.lang.String x)

  Establece la fecha

### getDay

    public java.lang.String getDay()

  Devuelve el día del mes

  Returns:
    El día del mes

### setDay

    public void setDay(java.lang.String x)

  Establece el día del mes

### getMonth

    public java.lang.String getMonth()

  Establece el mes del año

  Returns:
    El mes del año

### setMonth

    public void setMonth(java.lang.String x)

  Establece el mes del año

### getYear

    public java.lang.String getYear()

  Devuelve el año

  Returns:
    el año

### setYear

    public void setYear(java.lang.String x)

  Establece el año

### getSize

    public java.lang.String getSize()

  Devuelve el tamaño de la caja de texto que contiene la fecha

### setSize

    public void setSize(java.lang.String x)

  Establece el tamaño de la caja de texto que contiene la fecha

### getIdioma

    public java.lang.String getIdioma()

  Devuelve el idioma del calendario

### setIdioma

    public void setIdioma(java.lang.String x)

  Establece el idioma del calendario

### getCalendarImage

    public java.lang.String getCalendarImage()

  Devuelve la imagen del calendario

  Returns:
    la ruta hasta la imagen

### setCalendarImage

    public void setCalendarImage(java.lang.String x)

  Establece la imagen del calendario

### getShowYearNavigator

    public boolean getShowYearNavigator()

  Devuelve si se muestra o no el navegador de años en el calendario

  Returns:
    Si se muestra el navegador por años

### setShowYearNavigator

    public void setShowYearNavigator(boolean x)

  Establece si se muestra o no el navegador por años en el calendario

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD